Package be.cin.mycarenet._1_0.carenet.types

# Class InsurabilityResponseDetail

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.InsurabilityResponseDetail

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class InsurabilityResponseDetail extends Object implements Serializable

Java class for InsurabilityResponseDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityResponseDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}GeneralSituation" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}Payment"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}Hospitalized" minOccurs="0"/>
             <element name="MedicalHouse" type="{urn:be:cin:mycarenet:1.0:carenet:types}MedicalHouseType" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityList" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurabilityResponseDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeneralSituation`
  `getGeneralSituation()`
  Indicates if there is a specific situation concerning the insurability related to the period of the consultation
  `Hospitalized`
  `getHospitalized()`
  Information about the hospitalized state of a patient.
  `InsurabilityList`
  `getInsurabilityList()`
  List of insurability information.
  `MedicalHouseType`
  `getMedicalHouse()`
  Some informations about contacts with a medical house (during the requested period).
  `Payment`
  `getPayment()`
  Some information about the payment
  `void`
  `setGeneralSituation(GeneralSituation value)`
  Sets the value of the generalSituation property.
  `void`
  `setHospitalized(Hospitalized value)`
  Sets the value of the hospitalized property.
  `void`
  `setInsurabilityList(InsurabilityList value)`
  Sets the value of the insurabilityList property.
  `void`
  `setMedicalHouse(MedicalHouseType value)`
  Sets the value of the medicalHouse property.
  `void`
  `setPayment(Payment value)`
  Sets the value of the payment property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurabilityResponseDetail

    public InsurabilityResponseDetail()

- ## Method Details

  - ### getGeneralSituation

    public GeneralSituation getGeneralSituation()
    Indicates if there is a specific situation concerning the insurability related to the period of the consultation
    Returns:
      possible object is `GeneralSituation`

  - ### setGeneralSituation

    public void setGeneralSituation(GeneralSituation value)
    Sets the value of the generalSituation property.
    Parameters:
      `value` - allowed object is `GeneralSituation`
    See Also:
      - `getGeneralSituation()`

  - ### getPayment

    public Payment getPayment()
    Some information about the payment
    Returns:
      possible object is `Payment`

  - ### setPayment

    public void setPayment(Payment value)
    Sets the value of the payment property.
    Parameters:
      `value` - allowed object is `Payment`
    See Also:
      - `getPayment()`

  - ### getHospitalized

    public Hospitalized getHospitalized()
    Information about the hospitalized state of a patient. Only provided when the insurability contact type is set to "hospitalized_elsewhere".
    Returns:
      possible object is `Hospitalized`

  - ### setHospitalized

    public void setHospitalized(Hospitalized value)
    Sets the value of the hospitalized property.
    Parameters:
      `value` - allowed object is `Hospitalized`
    See Also:
      - `getHospitalized()`

  - ### getMedicalHouse

    public MedicalHouseType getMedicalHouse()
    Some informations about contacts with a medical house (during the requested period).
    Returns:
      possible object is `MedicalHouseType`

  - ### setMedicalHouse

    public void setMedicalHouse(MedicalHouseType value)
    Sets the value of the medicalHouse property.
    Parameters:
      `value` - allowed object is `MedicalHouseType`
    See Also:
      - `getMedicalHouse()`

  - ### getInsurabilityList

    public InsurabilityList getInsurabilityList()
    List of insurability information. There can be maximum 5 entries in the list. When there are more, then the list is truncated and that is indicated in the attribute of the element.
    Returns:
      possible object is `InsurabilityList`

  - ### setInsurabilityList

    public void setInsurabilityList(InsurabilityList value)
    Sets the value of the insurabilityList property.
    Parameters:
      `value` - allowed object is `InsurabilityList`
    See Also:
      - `getInsurabilityList()`